xserver: Branch 'master' - 3 commits

GitLab Mirror gitlab-mirror at kemper.freedesktop.org
Mon Apr 1 14:47:01 UTC 2019


 .gitlab-ci.yml |   23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

New commits:
commit fee147d75eef91be8cbfdd77dd444cc65c29b038
Author: Michel Dänzer <michel.daenzer at amd.com>
Date:   Fri Mar 29 10:12:40 2019 +0100

    gitlab-ci: Retry jobs after runner system failures
    
    Up to twice, for a total of 3 attempts maximum.
    
    This will hopefully avoid spurious CI pipeline failures due to
    intermittent GitLab/docker infrastructure issues.
    
    Inspired by
    https://gitlab.freedesktop.org/mesa/mesa/commit/6140ed3d2c5409bcdb5c0879411690ef222b086c
    
    Reviewed-by: Eric Anholt <eric at anholt.net>

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index fb7f42e68..b0e6c2313 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -30,11 +30,20 @@ stages:
     - docker-image
     - build-and-test
 
+# Retry jobs after runner system failures
+.retry: &retry
+  retry:
+    max: 2
+    when:
+      - runner_system_failure
+
 debian-testing:
   extends: .debian at container-ifnot-exists
   stage: docker-image
+  <<: *retry
 
 .common-build-and-test:
+    <<: *retry
     stage: build-and-test
     image: $IMAGE_LOCAL
     artifacts:
commit b5ef99f26ab5fdc5e9b4f63c977de3cb0f4d5d4f
Author: Michel Dänzer <michel.daenzer at amd.com>
Date:   Fri Mar 29 10:01:20 2019 +0100

    gitlab-ci: Simplify autotools job script
    
    Drop the verbose test log output, matching the meson job script.
    
    Reviewed-by: Eric Anholt <eric at anholt.net>

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index affb4d07d..fb7f42e68 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -63,14 +63,7 @@ autotools-build-and-test:
         - cd build/
         - ../autogen.sh --prefix=/usr
         - make -j$(nproc) distcheck
-        - |
-          export PIGLIT_DIR=/root/piglit XTEST_DIR=/root/xts
-          set +e
-          set -x
-          make -j$(nproc) check
-          status=$?
-          cat test/piglit-results/xvfb/long-summary || :
-          exit $status
+        - PIGLIT_DIR=/root/piglit XTEST_DIR=/root/xts make -j$(nproc) check
 
 meson-build-and-test:
     extends: .common-build-and-test
commit 35561d4d1e2bc168affdadd74e73ae5321c43a8a
Author: Michel Dänzer <michel.daenzer at amd.com>
Date:   Fri Mar 29 09:58:21 2019 +0100

    gitlab-ci: Simplify meson job script
    
    This way, the second ninja command line will be visible again as well in
    the job output.
    
    Reviewed-by: Eric Anholt <eric at anholt.net>

diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index fdeb432c0..affb4d07d 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -79,6 +79,5 @@ meson-build-and-test:
         XTEST_DIR: /root/xts
     script:
         - meson -Dprefix=/usr -Dxephyr=true build/
-        - |
-          ninja -C build/ install
-          ninja -C build/ test
+        - ninja -C build/ install
+        - ninja -C build/ test


More information about the xorg-commit mailing list